NANT - .Net Framework Version

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

NANT - .Net Framework Version

kulasekaran mani
Hi all,

I had been using nant .85 for a while in win xp machine. Now i am planning to migrate to win 7 OS. 

My Questions
1) nant .85 version : a) This version of NANT has been created in which .Net Framework version ?
                              b) would this version of NANT work in Win 7. (Win 7 doesnt support .net framework 1.0/1.1)
2) nant .91 version : This version of NANT has been created in which .Net Framework version ?

Thanks.

------------------------------------------------------------------------------
RSA(R) Conference 2012
Mar 27 - Feb 2
Save $400 by Jan. 27
Register now!
http://p.sf.net/sfu/rsa-sfdev2dev2
_______________________________________________
nant-developers mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/nant-developers
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: NANT - .Net Framework Version

Dominik Guder
Hi,

sorry I missed replying to mailing list. :(

On Tue, 17 Jan 2012 21:25:00 -0500, Deals wrote:
> Thank you for your response Guder.
>
> So is it possible to use nant .85 version itself in windows? if so
> can
> you please provide me the details or link to how can i change the
> configuration to make this version of nant with .net 3.5 framework.
>

Unfortunately I don't understand what you mean.

There are two different framework definitions used:
1) runtime framework: This is the .net/mono framework which is used to
run build scripts. This is defined in nant.exe.config's
supportedruntimes section.

2) target framework: this is declared either by -t:net-3.5 command line
parameter or
within build script <property name="nant.settings.currentframework"
value="net-3.5" />
This is for example used to call the correct csc or resgen.

Did this help you?

So far Dominik


> Thanks.
>
> On Mon, Jan 16, 2012 at 9:52 PM, Dominik Guder  wrote:
>
>> Am 16.01.2012 05:10, schrieb kulasekaran mani:
>>
>>> Hi all,
>>>
>>> I had been using nant .85 for a while in win xp machine. Now i am
>>> planning to migrate to win 7 OS.
>>>
>>> *My Questions*
>>>
>>> 1) nant .85 version : a) This version of NANT has been created in
>>> which
>>> .Net Framework version ?
>>>                               b) would this
>>> version of NANT work in Win
>>> 7. (Win 7 doesnt support .net framework 1.0/1.1)
>>> 2) nant .91 version : This version of NANT has been created in
>>> which
>>> .Net Framework version ?
>>
>> Both versions are built with 1.0 framework. But the ordering of
>> supportedRuntimes in NAnt.exe.config will use 4.0 then 2.0 and then
>> 1.1/1.0.
>>
>> So you should be fine on using it on Win 7.
>>
>> But don't forget to "unlock" the downloaded zip before you extract
>> the files (as for all other zip distributed packages)
>>
>> hth
>> Dominik
>>
>> --
>> The answer to the great question of life,
>> the universe and everything is 42 (Douglas Adams)
>
>
>

--
The answer to the great question of life,
the universe and everything is 42 (Douglas Adams)

------------------------------------------------------------------------------
Keep Your Developer Skills Current with LearnDevNow!
The most comprehensive online learning library for Microsoft developers
is just $99.99! Visual Studio, SharePoint, SQL - plus HTML5, CSS3, MVC3,
Metro Style Apps, more. Free future releases when you subscribe now!
http://p.sf.net/sfu/learndevnow-d2d
_______________________________________________
nant-developers mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/nant-developers
Loading...